<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| Display Debug backtrace
|--------------------------------------------------------------------------
|
| If set to TRUE, a backtrace will be displayed along with php errors. If
| error_reporting is disabled, the backtrace will not display, regardless
| of this setting
|
*/
defined('SHOW_DEBUG_BACKTRACE') OR define('SHOW_DEBUG_BACKTRACE', TRUE);

/*
|--------------------------------------------------------------------------
| File and Directory Modes
|--------------------------------------------------------------------------
|
| These prefs are used when checking and setting modes when working
| with the file system.  The defaults are fine on servers with proper
| security, but you may wish (or even need) to change the values in
| certain environments (Apache running a separate process for each
| user, PHP under CGI with Apache suEXEC, etc.).  Octal values should
| always be used to set the mode correctly.
|
*/
defined('FILE_READ_MODE')  OR define('FILE_READ_MODE', 0644);
defined('FILE_WRITE_MODE') OR define('FILE_WRITE_MODE', 0666);
defined('DIR_READ_MODE')   OR define('DIR_READ_MODE', 0755);
defined('DIR_WRITE_MODE')  OR define('DIR_WRITE_MODE', 0755);

/*
|--------------------------------------------------------------------------
| File Stream Modes
|--------------------------------------------------------------------------
|
| These modes are used when working with fopen()/popen()
|
*/
defined('FOPEN_READ')                           OR define('FOPEN_READ', 'rb');
defined('FOPEN_READ_WRITE')                     OR define('FOPEN_READ_WRITE', 'r+b');
defined('FOPEN_WRITE_CREATE_DESTRUCTIVE')       OR define('FOPEN_WRITE_CREATE_DESTRUCTIVE', 'wb'); // truncates existing file data, use with care
defined('FOPEN_READ_WRITE_CREATE_DESTRUCTIVE')  OR define('FOPEN_READ_WRITE_CREATE_DESTRUCTIVE', 'w+b'); // truncates existing file data, use with care
defined('FOPEN_WRITE_CREATE')                   OR define('FOPEN_WRITE_CREATE', 'ab');
defined('FOPEN_READ_WRITE_CREATE')              OR define('FOPEN_READ_WRITE_CREATE', 'a+b');
defined('FOPEN_WRITE_CREATE_STRICT')            OR define('FOPEN_WRITE_CREATE_STRICT', 'xb');
defined('FOPEN_READ_WRITE_CREATE_STRICT')       OR define('FOPEN_READ_WRITE_CREATE_STRICT', 'x+b');

/*
|--------------------------------------------------------------------------
| Exit Status Codes
|--------------------------------------------------------------------------
|
| Used to indicate the conditions under which the script is exit()ing.
| While there is no universal standard for error codes, there are some
| broad conventions.  Three such conventions are mentioned below, for
| those who wish to make use of them.  The CodeIgniter defaults were
| chosen for the least overlap with these conventions, while still
| leaving room for others to be defined in future versions and user
| applications.
|
| The three main conventions used for determining exit status codes
| are as follows:
|
|    Standard C/C++ Library (stdlibc):
|       http://www.gnu.org/software/libc/manual/html_node/Exit-Status.html
|       (This link also contains other GNU-specific conventions)
|    BSD sysexits.h:
|       http://www.gsp.com/cgi-bin/man.cgi?section=3&topic=sysexits
|    Bash scripting:
|       http://tldp.org/LDP/abs/html/exitcodes.html
|
*/
defined('EXIT_SUCCESS')        OR define('EXIT_SUCCESS', 0); // no errors
defined('EXIT_ERROR')          OR define('EXIT_ERROR', 1); // generic error
defined('EXIT_CONFIG')         OR define('EXIT_CONFIG', 3); // configuration error
defined('EXIT_UNKNOWN_FILE')   OR define('EXIT_UNKNOWN_FILE', 4); // file not found
defined('EXIT_UNKNOWN_CLASS')  OR define('EXIT_UNKNOWN_CLASS', 5); // unknown class
defined('EXIT_UNKNOWN_METHOD') OR define('EXIT_UNKNOWN_METHOD', 6); // unknown class member
defined('EXIT_USER_INPUT')     OR define('EXIT_USER_INPUT', 7); // invalid user input
defined('EXIT_DATABASE')       OR define('EXIT_DATABASE', 8); // database error
defined('EXIT__AUTO_MIN')      OR define('EXIT__AUTO_MIN', 9); // lowest automatically-assigned error code
defined('EXIT__AUTO_MAX')      OR define('EXIT__AUTO_MAX', 125); // highest automatically-assigned error code


/*
 * Credenciais Notificação Push
 */
define('PUSH_CHAVE', 'Eoj3pCX5ThSg4XbJKiPiIEjsNPI8TIES');
define('PUSH_TOKEN', '7E5JVENDVNJJCF7KARGN92S5S==');
define('PUSH_URL', 'https://aporfia.com.br/ovum/api_push/');

/*
 * Credenciais CEP
 */

define('CEP_CHAVE', 'Eoj3pCX5ThSg4XbJKiPiIEjsNPI8TIES');
define('CEP_TOKEN', '7E5JVENDVNJJCF7KARGN92S5S==');
define('CEP_URL', 'https://aporfia.com.br/ovum/apicep/buscar_cep/');

/*
 * Credenciais CPF
 */

define('CPF_CHAVE', 'Eoj3pCX5ThSg4XbJKiPiIEjsNPI8TIES');
define('CPF_TOKEN', '7E5JVENDVNJJCF7KARGN92S5S==');
define('CPF_URL', 'https://aporfia.com.br/ovum/ovumc/ovumc1.3/');

/*
 * Credenciais Caption
 */

define('CAPT_CHAVE', 'Eoj3pCX5ThSg4XbJKiPiIEjsNPI8TIES');
define('CAPT_TOKEN', '7E5JVENDVNJJCF7KARGN92S5S==');
define('CAPT_URL', 'https://www.ovum.com.br/caption/api');

/*
 *Ovum Pay Transparente
 */
define('OPAYT_CHAVE', 'Eoj3pCX5ThSg4XbJKiPiIEjsNPI8TIES');
define('OPAYT_TOKEN', '7E5JVENDVNJJCF7KARGN92S5S==');
define('OPAYT_URL', 'https://www.aporfia.com.br/ovumpay/api/gerar_fatura');
define('URL_OVUMPAY_TRANSPARENTE', 'https://www.aporfia.com.br/ovumpay/transparente/f/');

/*
 * Credenciais OVUMPAY NEGOCIOS
 */
define('URL_NEGOCIOS', 'https://www.aporfia.com.br/ovumpay/negocios/');
/*
 * Credenciais NOTIFICAÇÕES
 */
define('URL_EMAIL', 'https://www.ovummensageiro.com/notificacoes/1.0/');
/*
 * Credenciais NOTIFICAÇÕES
 */
define('URL_DOCS', 'https://www.aporfia.com.br/ovumdoc/api1.2/');
/*
 * Total de matriculas por dia por aluno
 */
define('NUM_TOTAL_MATRICULAS', 20);

define('CENTRAL_CONTEUDO_IRIS_CHAVE', 'Eoj3pCX5ThSg4XbJKiPiIEjsNPI8TIES');
define('CENTRAL_CONTEUDO_IRIS_TOKEN', '7E5JVENDVNJJCF7KARGN92S5S==');
define('CENTRAL_CONTEUDO_IRIS_URL', 'https://www.ovummensageiro.com/iris/interesses/');//producao
define('URL_DOCS_AUTENTICACAO', 'https://www.ovumdoc.com/');
define('URL_ATENDIMENTO', 'https://www.ovumtec.com.br/painel/web/auth/');
define('URL_ELABORE', 'https://www.onlist.com.br/elabore_curso/curso/insert_curso');
define('ID_FACEBOOK', '962521494116283'); // DESENVOLVIMENTO: 1665066786997403 // PRODUÇÃO: 962521494116283
       
define('URL_OVUM_DESK', 'https://www.ovumtec.com.br/painel/');
define('OVUM_DESK_CHAVE', 'PX1PWk86IONVUlNPUw==');
define('OVUM_DESK_TOKEN', '28c8ccde3d61a0811511d3b1866g0648');
define('URL_API_IRIS', 'https://www.ovummensageiro.com/iris/');
define('ID_EXTERNO', 13);

//define('CENTRAL_CONTEUDO_IRIS_CHAVE', 'Eoj3pCX5ThSg4XbJKiPiIEjsNPI8TIES');
 
/* CERTIFICADO */
define("CERTIFICADO", array(
    'base_legal' => 'Base Legal: Lei Nº 9394/96, Art 40, Resolução CNE/CEB Nº 6/2012, Art. 25º. Decreto 5154/2004, Art. 3º',
    'nome_empresa'   => 'OVUMTEC CONSULTORIA EM TECNOLOGIA DA INFORMACAO EIRELI',
    'endereco_telefone' => 'Endereço: Trav. 14 de Março 221, Cep: 66055-490 Telefone: (11) 5199-4483.',
    'local_emissao'   => 'Local e Data de Emissão: Belém-PA, ' . date('d/m/Y'),
    'autenticar_site' => 'Autenticar em: www.ovumdoc.com',
    'nome_assinatura' => 'Prof. Me. Ezelildo G Dornelas',
    'cargo' => 'Diretor',
    'cnpj' => 'CNPJ: 10.910.194/0001-16',
    'historico' => 'É um Programa de Formação Continuada que dá acesso a cursos livres através da internet em várias áreas do conhecimento, disponibilizando conteúdos no formato de texto e vídeo disponíveis na internet, além de indicação de livros e bibliotecas públicas virtuais, a fim de aprimorar os conhecimentos dos alunos. Aos concluintes que solicitarem é emitido um certificado, que comprova sua participação no curso.',
    'missao' => 'Compartilhar conhecimentos disponíveis na rede mundial de computadores.',
    'informacoes' => "Razão Social: OVUMTEC CONSULTORIA EM TECNOLOGIA DA INFORMACAO EIRELI\nNome Fantasia: OVUMTEC SOLUÇÕES\nCNPJ: 10.910.194/0001-16\nEndereço: Travessa 14 de Março, 221, Belém, Pará Cep 66055-490\nCNAE de Referencia:85.99-6-99 - Outras atividades de ensino não especificadas anteriormente\nNota Explicativa:\nEsta subclasse compreende:- as instituições que oferecem cursos de educação profissional de nível básico, de duração variável, destinados a qualificar e requalificar os trabalhadores, independentemente da escolaridade prévia, não estando sujeitos a regulamentação curricular\n\nFundada em 18/05/2009"
));